Skip to main content
GET
/
api
/
end_users
List EndUsers
curl --request GET \
  --url https://app.herondata.io/api/end_users \
  --header 'x-api-key: <api-key>'
import requests

url = "https://app.herondata.io/api/end_users"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://app.herondata.io/api/end_users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "_meta": {
    "limit": 1000,
    "next_url": "<string>",
    "page": 1,
    "pages": 3,
    "prev_url": "<string>",
    "total": 3500
  },
  "end_users": [
    {
      "end_user_id": "ceafa4f0-6040-4127-9b8f-469c8278691e",
      "confidence": 0.42,
      "created": "2026-05-29T22:53:20.445899",
      "criteria": [
        {
          "context": "higher_is_better",
          "currency": "<string>",
          "date_range": "last_180_days",
          "description": "The number of unique transactions with a timestamp",
          "group": "data_quality",
          "label": "unique_transactions",
          "status": "not_available",
          "unit": "n",
          "value": 42.42
        }
      ],
      "data_sources": [
        {
          "type": "pdf",
          "status": "new"
        }
      ],
      "heron_id": "eus_34DF7EQvDXMwuy2wqqk3bw",
      "is_portfolio": true,
      "last_processed_at": "2026-07-10T22:53:20.446173",
      "last_updated": "2026-07-10T22:53:20.445930",
      "meta": {},
      "name": "Company Name Inc.",
      "profit_and_loss_layout": null,
      "status": "ready"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Query Parameters

heron_id
string | null

Unique ID generated by Heron

Example:

"eus_FWzsCBZ7Am2xZi8333JQdj"

end_user_id
string | null

Filter by ID associated with end_user_id field in transactions

Example:

"your_end_user_id"

name
string | null

Filter by name associated with end user

Example:

"your_end_user_name"

status
enum<string> | null

Filter by status of end user

Available options:
new,
ready,
processed,
reviewed,
review_requested,
failed,
null
Example:

"reviewed"

page
integer
default:1

Pagination page number

Required range: x >= 1
limit
integer
default:1000

Pagination limit per page

Required range: 1 <= x <= 10000
order_by
enum<string>
default:last_updated_desc

Order to return end users by

Available options:
last_updated_desc,
last_updated_asc,
created_desc,
created_asc
is_portfolio
boolean | null

Whether the end user is part of a lending portfolio

Example:

true

include_data_sources
boolean
default:false

Whether the to include data sources for each end user

Example:

true

include_scorecard_metrics
boolean
default:false

Whether to include scorecard metrics for each end user (under field criteria)

Example:

true

Response

200 - application/json

OK

_meta
object
end_users
object[]